Package com.collabnet.ce.soap60.webservices.wiki

# Class WikiPageSoapRow

java.lang.Object
com.collabnet.ce.soap60.webservices.wiki.WikiPageSoapRow

public class WikiPageSoapRow extends Object
WikiPageSoapList class represents a list of wiki pages in a project.

Since:
  4.3 SP1 HOTFIX1

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WikiPageSoapRow()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Date`
  `getDateVersionCreated()`
  Returns 'dateVersionCreated'.
  `String`
  `getId()`
  Returns 'id'.
  `String`
  `getVersionCreatedBy()`
  Returns 'versionCreatedBy'.
  `String`
  `getWikiPageName()`
  Returns 'wikiPageName'.
  `int`
  `getWikiPageVersion()`
  Returns 'wikiPageVersion'.
  `static void`
  `registerTypeMappings(org.apache.axis.client.Call call)`
  `void`
  `setDateVersionCreated(Date dateVersionCreated)`
  Sets 'dateVersionCreated'.
  `void`
  `setId(String id)`
  Sets 'id'.
  `void`
  `setVersionCreatedBy(String versionCreatedBy)`
  Sets 'versionCreatedBy'.
  `void`
  `setWikiPageName(String wikiPageName)`
  Sets 'wikiPageName'.
  `void`
  `setWikiPageVersion(int wikiPageVersion)`
  Sets 'wikiPageVersion'.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### WikiPageSoapRow

    public WikiPageSoapRow()

- ## Method Details

  - ### getId

    public String getId()
    Returns 'id'. Id of the wiki page
    Returns:
      Value of 'id'.

  - ### setId

    public void setId(String id)
    Sets 'id'. Id of the wiki page
    Parameters:
      `id` - Value of 'id'.

  - ### getWikiPageName

    public String getWikiPageName()
    Returns 'wikiPageName'. The name of the wiki page
    Returns:
      Value of 'wikiPageName'.

  - ### setWikiPageName

    public void setWikiPageName(String wikiPageName)
    Sets 'wikiPageName'. The name of the wiki page
    Parameters:
      `wikiPageName` - Value of 'wikiPageName'.

  - ### getWikiPageVersion

    public int getWikiPageVersion()
    Returns 'wikiPageVersion'. Wiki page version number.
    Returns:
      Value of 'wikiPageVersion'.

  - ### setWikiPageVersion

    public void setWikiPageVersion(int wikiPageVersion)
    Sets 'wikiPageVersion'. Wiki page version number.
    Parameters:
      `wikiPageVersion` - Value of 'wikiPageVersion'.

  - ### getDateVersionCreated

    public Date getDateVersionCreated()
    Returns 'dateVersionCreated'. Date this version of wiki page was created.
    Returns:
      Value of 'dateVersionCreated'.

  - ### setDateVersionCreated

    public void setDateVersionCreated(Date dateVersionCreated)
    Sets 'dateVersionCreated'. Date this version of wiki page was created.
    Parameters:
      `dateVersionCreated` - Value of 'dateVersionCreated'.

  - ### getVersionCreatedBy

    public String getVersionCreatedBy()
    Returns 'versionCreatedBy'. User who created this version.
    Returns:
      Value of 'versionCreatedBy'.

  - ### setVersionCreatedBy

    public void setVersionCreatedBy(String versionCreatedBy)
    Sets 'versionCreatedBy'. User who created this version.
    Parameters:
      `versionCreatedBy` - Value of 'versionCreatedBy'.

  - ### registerTypeMappings

    public static void registerTypeMappings(org.apache.axis.client.Call call)